### Method

# Gtk CellAreaget_current_path_string

#### Declaration [src]

    const char*
    gtk_cell_area_get_current_path_string (
      GtkCellArea* area
    )

#### Description [src]

Gets the current `GtkTreePath` string for the currently applied `GtkTreeIter`, this is implicitly updated when `gtk_cell_area_apply_attributes()` is called and can be used to interact with renderers from `GtkCellArea` subclasses.

#### Return value

Type: `const char*`

The current `GtkTreePath` string for the current attributes applied to `area`. This string belongs to the area and should not be freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.